# Class SenderSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.SenderSF

All Implemented Interfaces:
  `IStoreFactory`

public class SenderSF extends StoreFactoryBase
Generate Sender Element

## Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`SenderSF()`

## Method Summary

Modifier and Type
Method
Description
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aSender, StoreDescription parentDesc)`
Store the specified Sender child.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SenderSF

public SenderSF()

## Method Details

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aSender, StoreDescription parentDesc) throws Exception
Store the specified Sender child.

Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aSender` - Current element
  `parentDesc` - The element description
Throws:
  `Exception` - Configuration storing error